com.hazelcast.nio

## Interface IOService

- All Known Implementing Classes:
    NodeIOService

      @PrivateApi
      public interface IOService

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `KILO_BYTE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configureSocket(Socket socket)`
    `com.hazelcast.internal.networking.ChannelInboundHandler` | `createInboundHandler(TcpIpConnection connection)`
    `com.hazelcast.internal.networking.ChannelOutboundHandler` | `createOutboundHandler(TcpIpConnection connection)`
    `void` | `executeAsync(Runnable runnable)`
    `int` | `getBalancerIntervalSeconds()`
    `com.hazelcast.internal.networking.ChannelFactory` | `getChannelFactory()`
    `ClientEngine` | `getClientEngine()`
    `long` | `getConnectionMonitorInterval()`
    `int` | `getConnectionMonitorMaxFaults()`
    `EventService` | `getEventService()`
    `String` | `getHazelcastName()`
    `int` | `getInputSelectorThreadCount()`
    `LoggingService` | `getLoggingService()`
    `MemberSocketInterceptor` | `getMemberSocketInterceptor()`
    `Collection<Integer>` | `getOutboundPorts()`
    `int` | `getOutputSelectorThreadCount()`
    `com.hazelcast.internal.serialization.InternalSerializationService` | `getSerializationService()`
    `int` | `getSocketClientReceiveBufferSize()` Size of receive buffers for connections opened by clients
    `int` | `getSocketClientSendBufferSize()` Size of send buffers for connections opened by clients
    `int` | `getSocketConnectTimeoutSeconds()`
    `int` | `getSocketReceiveBufferSize()`
    `int` | `getSocketSendBufferSize()`
    `SSLConfig` | `getSSLConfig()`
    `SymmetricEncryptionConfig` | `getSymmetricEncryptionConfig()`
    `com.hazelcast.internal.ascii.TextCommandService` | `getTextCommandService()`
    `Address` | `getThisAddress()`
    `void` | `interceptSocket(Socket socket, boolean onAccept)`
    `boolean` | `isActive()`
    `boolean` | `isHealthcheckEnabled()`
    `boolean` | `isMemcacheEnabled()`
    `boolean` | `isRestEnabled()`
    `boolean` | `isSocketBind()`
    `boolean` | `isSocketBindAny()`
    `boolean` | `isSocketInterceptorEnabled()`
    `void` | `onDisconnect(Address endpoint, Throwable cause)`
    `void` | `onFailedConnection(Address address)`
    `void` | `onFatalError(Exception e)`
    `void` | `onSuccessfulConnection(Address address)`
    `void` | `removeEndpoint(Address endpoint)`
    `void` | `shouldConnectTo(Address address)`
    `boolean` | `useDirectSocketBuffer()`

- - ### Field Detail

    - #### KILO_BYTE

          static final int KILO_BYTE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isActive

          boolean isActive()

    - #### getHazelcastName

          String getHazelcastName()

    - #### getLoggingService

          LoggingService getLoggingService()

    - #### getThisAddress

          Address getThisAddress()

    - #### onFatalError

          void onFatalError(Exception e)

    - #### getSymmetricEncryptionConfig

          SymmetricEncryptionConfig getSymmetricEncryptionConfig()

    - #### getSSLConfig

          SSLConfig getSSLConfig()

    - #### getClientEngine

          ClientEngine getClientEngine()

    - #### getTextCommandService

          com.hazelcast.internal.ascii.TextCommandService getTextCommandService()

    - #### isMemcacheEnabled

          boolean isMemcacheEnabled()

    - #### isRestEnabled

          boolean isRestEnabled()

    - #### isHealthcheckEnabled

          boolean isHealthcheckEnabled()

    - #### removeEndpoint

          void removeEndpoint(Address endpoint)

    - #### onSuccessfulConnection

          void onSuccessfulConnection(Address address)

    - #### onFailedConnection

          void onFailedConnection(Address address)

    - #### shouldConnectTo

          void shouldConnectTo(Address address)

    - #### isSocketBind

          boolean isSocketBind()

    - #### isSocketBindAny

          boolean isSocketBindAny()

    - #### getSocketReceiveBufferSize

          int getSocketReceiveBufferSize()

    - #### getSocketSendBufferSize

          int getSocketSendBufferSize()

    - #### useDirectSocketBuffer

          boolean useDirectSocketBuffer()

    - #### getSocketClientReceiveBufferSize

          int getSocketClientReceiveBufferSize()

      Size of receive buffers for connections opened by clients
      Returns:
        size in bytes

    - #### getSocketClientSendBufferSize

          int getSocketClientSendBufferSize()

      Size of send buffers for connections opened by clients
      Returns:
        size in bytes

    - #### configureSocket

          void configureSocket(Socket socket)
                        throws SocketException

      Throws:
        `SocketException`

    - #### interceptSocket

          void interceptSocket(Socket socket,
                               boolean onAccept)
                        throws IOException

      Throws:
        `IOException`

    - #### isSocketInterceptorEnabled

          boolean isSocketInterceptorEnabled()

    - #### getSocketConnectTimeoutSeconds

          int getSocketConnectTimeoutSeconds()

    - #### getInputSelectorThreadCount

          int getInputSelectorThreadCount()

    - #### getOutputSelectorThreadCount

          int getOutputSelectorThreadCount()

    - #### getConnectionMonitorInterval

          long getConnectionMonitorInterval()

    - #### getConnectionMonitorMaxFaults

          int getConnectionMonitorMaxFaults()

    - #### getBalancerIntervalSeconds

          int getBalancerIntervalSeconds()

      Returns:
        Time interval between two I/O imbalance checks.

    - #### onDisconnect

          void onDisconnect(Address endpoint,
                            Throwable cause)

    - #### executeAsync

          void executeAsync(Runnable runnable)

    - #### getEventService

          EventService getEventService()

    - #### getOutboundPorts

          Collection<Integer> getOutboundPorts()

    - #### getSerializationService

          com.hazelcast.internal.serialization.InternalSerializationService getSerializationService()

    - #### getChannelFactory

          com.hazelcast.internal.networking.ChannelFactory getChannelFactory()

    - #### getMemberSocketInterceptor

          MemberSocketInterceptor getMemberSocketInterceptor()

    - #### createInboundHandler

          com.hazelcast.internal.networking.ChannelInboundHandler createInboundHandler(TcpIpConnection connection)

    - #### createOutboundHandler

          com.hazelcast.internal.networking.ChannelOutboundHandler createOutboundHandler(TcpIpConnection connection)

Copyright © 2018. All rights reserved.